package kr.co.icontrols.ilp300_700.admin.setting;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.View;
import android.widget.RelativeLayout;

import kr.co.icontrols.ilp300_700.MainActivity;
import kr.co.icontrols.ilp300_700.R;
import kr.co.icontrols.ilp300_700.global.Configure.ConfigValue;
import kr.co.icontrols.ilp300_700.global.DataClasses.POSITION;
import kr.co.icontrols.ilp300_700.global.Declare;
import kr.co.icontrols.ilp300_700.global.Declare.AccessValues;
import kr.co.icontrols.ilp300_700.global.Enumeration.DATAINPUTSCREEN;
import kr.co.icontrols.ilp300_700.global.Enumeration.DATAINPUTSTEP;
import kr.co.icontrols.ilp300_700.global.Global;
import kr.co.icontrols.ilp300_700.global.ID;
import kr.co.icontrols.ilp300_700.rfreader.STDAccessKeyManager;
import kr.co.icontrols.wallpadsupport.WpadImageView;
import kr.co.icontrols.wallpadsupport.WpadScreen;
import kr.co.icontrols.wallpadsupport.WpadTextView;

public class AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey extends WpadScreen {

    String TAG = "AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey";

    boolean bLOG = true;   // true, false
    boolean bLOG_DEBUG = false;   // true, false
    boolean bLOG_INFO = true;   // true, false
    Context mContext;
    WpadImageView Image_Background;
    WpadTextView Text_Title;
    WpadTextView Text_Line_01_Item;
    WpadTextView Text_Line_02_Item;
    WpadTextView Text_Line_03_Item;
    WpadTextView Text_Line_04_Item;
    WpadTextView Text_Line_05_Item;
    WpadTextView Text_Line_06_Item;
    WpadTextView Text_Line_01_Input;
    WpadTextView Text_Line_02_Input;
    WpadTextView Text_Line_03_Input;
    int TextColor_Normal = Color.WHITE;
    int TextColor_Highlight = Color.GREEN;
    int nFontSize_Instruction = 28;
    boolean bFontNonBold = false;
    boolean bFontBold = true;
    String strText_Title = "동관리자 출입카드 발급횟수";
    String strText_Line_01_Item = "카드번호";
    String strText_Line_02_Item = "발급횟수";
    String strText_Line_03_Item = "경   고";
    String strText_Line_04_Item = "모든 동관리자 출입카드의";
    String strText_Line_05_Item = "발급횟수를 [X]로 변경합니다.";
    String strText_Line_06_Item = "설정은 \"경비실\"버튼을 누르세요.";
    String strText_Line_01_Input = "";
    String strText_Line_02_Input = "";
    public AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey(Context context, RelativeLayout layout) {
        super(context, layout);
        try {
            LOG("------------------ [START - AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey] -------------------");

            mContext = context;
            Initialize();

            Image_Background = new WpadImageView(context, 0, Declare.DeviceInfo.getScreenSizeFullW(ConfigValue.DEVICE_MODELTYPE), Declare.DeviceInfo.getScreenSizeFullH(ConfigValue.DEVICE_MODELTYPE), R.drawable.bg_back, 0, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.IMAGES.BACKGROUND);
            ViewRegistration(layout, Image_Background, 0, 0);

            Text_Title = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE);
            ViewRegistration(layout, Text_Title, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE).Y);
            Text_Title.setText(strText_Title);

            Text_Line_01_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item);
            ViewRegistration(layout, Text_Line_01_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item).Y);
            Text_Line_01_Item.setText(strText_Line_01_Item);

            Text_Line_02_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item);
            ViewRegistration(layout, Text_Line_02_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item).Y);
            Text_Line_02_Item.setText(strText_Line_02_Item);

            Text_Line_03_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item).H, Gravity.CENTER, Color.RED, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item);
            ViewRegistration(layout, Text_Line_03_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item).Y);
            Text_Line_03_Item.setText(strText_Line_03_Item);

            Text_Line_04_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item).H, Gravity.CENTER, TextColor_Highlight, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item);
            ViewRegistration(layout, Text_Line_04_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item).Y);
            Text_Line_04_Item.setText(strText_Line_04_Item);

            Text_Line_05_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item).H, Gravity.CENTER, TextColor_Highlight, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item);
            ViewRegistration(layout, Text_Line_05_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item).Y);
            Text_Line_05_Item.setText(strText_Line_05_Item);

            Text_Line_06_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_06_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_06_Item).H, Gravity.CENTER, TextColor_Highlight, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item);
            ViewRegistration(layout, Text_Line_06_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_06_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_06_Item).Y);
            Text_Line_06_Item.setText(strText_Line_06_Item);

            Text_Line_01_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input);
            ViewRegistration(layout, Text_Line_01_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input).Y);
            Text_Line_01_Input.setText("[ " + strText_Line_01_Input + " ]");

            Text_Line_02_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input);
            ViewRegistration(layout, Text_Line_02_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input).Y);
            Text_Line_02_Input.setText("[ " + strText_Line_02_Input + " ]");

            UpdateScreen();

            ((MainActivity) mContext).setAutoScreenChange(ID.SCREENS.Main, MainActivity.nAdminScreenTimeout);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey(...) : " + e);
            e.printStackTrace();
        }
    }

    private void LOG(String log) {
        if (bLOG) Log.v(TAG, log);
    }

    private void LOG_DEBUG(String log) {
        if (bLOG_DEBUG) Log.d(TAG, log);
    }

    private void LOG_INFO(String log) {
        if (bLOG_INFO) Log.i(TAG, log);
    }

    protected void Initialize() {
        try {
            LOG("[Initialize] ===== START =====");
            Global.DataInputStep = DATAINPUTSTEP.INPUT_01;
            Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;

            strText_Line_01_Input = "00";
            ;
            strText_Line_02_Input = "00";
        } catch (Exception e) {
            Log.e(TAG, "[Exception] Initialize() : " + e);
            e.printStackTrace();
        }
    }

    @Override
    protected void onClose() {
        try {
            LOG("------------------ [onClose - AdminSet_Setting_RFAccessKeyIssuedCnt_DongAdminKey] -------------------");
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onClose() : " + e);
            e.printStackTrace();
        }
        super.onClose();
    }

    @Override
    protected void onBrReceive(Intent intent) {
        try {
            LOG("[onBrReceive] Intent : " + intent);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onBrReceive(...) : " + e);
            e.printStackTrace();
        }
        super.onBrReceive(intent);
    }

    @Override
    protected void onKeyDown(int keyCode, KeyEvent event) {
        try {
//            LOG("[onKeyDown] keyCode [" + keyCode + "], event [" + event + "]");
            if (Declare.Button.NUMBER_00 <= keyCode && keyCode <= Declare.Button.NUMBER_09) {
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                    if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                        strText_Line_01_Input += keyCode - 7;

                        if (strText_Line_01_Input.length() > 2) {
                            strText_Line_01_Input = strText_Line_01_Input.substring(1);
                        }
                        strText_Line_01_Input = Integer.toString(Integer.parseInt(strText_Line_01_Input));
                    } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                        strText_Line_02_Input += keyCode - 7;

                        if (strText_Line_02_Input.length() > 2) {
                            strText_Line_02_Input = strText_Line_02_Input.substring(1);
                        }
                        strText_Line_02_Input = Integer.toString(Integer.parseInt(strText_Line_02_Input));
                    }
                    UpdateScreen();
                }
            } else if (keyCode == Declare.Button.STAR) {
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                    if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_02;
                    } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_01;
                    }
                    UpdateScreen();
                }
            } else if (keyCode == Declare.Button.GUARD) {
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                    // 설정정보를 저장하는 기능을 정의한다.
                    if (Integer.parseInt(strText_Line_01_Input) == 0) {
                        // 전 세대의 발급횟수를 변경합니다.
                        if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                            Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_02;
                            UpdateScreen();
                        }
                    } else {
                        // 입렫된 세대의 발급횟수를 변경합니다.
                        if (setDongAdminKeyIssueCnt(strText_Line_01_Input, strText_Line_02_Input)) {
                            MainActivity.mSound.PlayMent_lobby(R.raw.setting);
                            super.setChangeScreen(ID.SCREENS.AdminSet_Setting);
                        } else {
                            MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        }
                    }
                } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02) {
                    if (setAllDongAdminKeyIssueCnt(strText_Line_02_Input)) {
                        MainActivity.mSound.PlayMent_lobby(R.raw.setting);
                        super.setChangeScreen(ID.SCREENS.AdminSet_Setting);
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;
                        UpdateScreen();
                    }
                }
            } else if (keyCode == Declare.Button.CANCEL || keyCode == Declare.Button.TACT_CANCEL) {
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                    super.setChangeScreen(ID.SCREENS.AdminSet_Setting_RFAccessKeyIssuedCnt);
                } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02) {
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;
                    UpdateScreen();
                }
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onKeyDown(...) : " + e);
            e.printStackTrace();
        }
        super.onKeyDown(keyCode, event);
    }

    protected void UpdateScreen() {
//        LOG("[updateScreen] ===== START =====");
        try {
            if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                    Text_Line_01_Input.setText("[ " + strText_Line_01_Input + " ]");

                    Text_Line_01_Item.setTextColor(TextColor_Highlight);
                    Text_Line_02_Item.setTextColor(TextColor_Normal);
                    Text_Line_01_Input.setTextColor(TextColor_Highlight);
                    Text_Line_02_Input.setTextColor(TextColor_Normal);
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                    Text_Line_02_Input.setText("[ " + strText_Line_02_Input + " ]");

                    Text_Line_01_Item.setTextColor(TextColor_Normal);
                    Text_Line_02_Item.setTextColor(TextColor_Highlight);
                    Text_Line_01_Input.setTextColor(TextColor_Normal);
                    Text_Line_02_Input.setTextColor(TextColor_Highlight);
                } else {
                    Text_Line_01_Item.setTextColor(TextColor_Normal);
                    Text_Line_02_Item.setTextColor(TextColor_Normal);
                    Text_Line_01_Input.setTextColor(TextColor_Normal);
                    Text_Line_02_Input.setTextColor(TextColor_Normal);
                }
                Text_Title.setVisibility(View.VISIBLE);
                Text_Line_01_Item.setVisibility(View.VISIBLE);
                Text_Line_02_Item.setVisibility(View.VISIBLE);
                Text_Line_03_Item.setVisibility(View.INVISIBLE);
                Text_Line_04_Item.setVisibility(View.INVISIBLE);
                Text_Line_05_Item.setVisibility(View.INVISIBLE);
                Text_Line_06_Item.setVisibility(View.INVISIBLE);
                Text_Line_01_Input.setVisibility(View.VISIBLE);
                Text_Line_02_Input.setVisibility(View.VISIBLE);
            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02) {
                strText_Line_04_Item = "모든 동관리자 출입카드의";
                strText_Line_05_Item = "발급횟수를 [" + Integer.parseInt(strText_Line_02_Input) + "]로 변경합니다.";
                strText_Line_06_Item = "설정은 \"경비실\"버튼을 누르세요.";

                Text_Line_04_Item.setText(strText_Line_04_Item);
                Text_Line_05_Item.setText(strText_Line_05_Item);
                Text_Line_06_Item.setText(strText_Line_06_Item);

                Text_Title.setVisibility(View.INVISIBLE);
                Text_Line_01_Item.setVisibility(View.INVISIBLE);
                Text_Line_02_Item.setVisibility(View.INVISIBLE);
                Text_Line_03_Item.setVisibility(View.VISIBLE);
                Text_Line_04_Item.setVisibility(View.VISIBLE);
                Text_Line_05_Item.setVisibility(View.VISIBLE);
                Text_Line_06_Item.setVisibility(View.VISIBLE);
                Text_Line_01_Input.setVisibility(View.INVISIBLE);
                Text_Line_02_Input.setVisibility(View.INVISIBLE);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] updateScreen() : " + e);
            e.printStackTrace();
        }
    }

    public POSITION getPosition(int nID) {
//        LOG("[getPosition] ===== START =====");
        POSITION position = new POSITION();
        position.SetPosition(0, 0, 480, 272);
        try {
            switch (nID) {
                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.IMAGES.BACKGROUND:
                    position.SetPosition(0, 0, 480, 272);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.TITLE:
                    position.SetPosition(0, 24, 480, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Item:
                    position.SetPosition(30, 104, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Item:
                    position.SetPosition(30, 154, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_03_Item:
                    position.SetPosition(0, 24, 480, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_04_Item:
                    position.SetPosition(30, 84, 420, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_05_Item:
                    position.SetPosition(30, 134, 420, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_06_Item:
                    position.SetPosition(30, 184, 420, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_01_Input:
                    position.SetPosition(205, 104, 205, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_RFACCESSKEYISSUEDCNT_DONGADMINKEY.ELEMENTS.TEXTS.LINE_02_Input:
                    position.SetPosition(205, 154, 205, 40);
                    return position;

                default:
                    return position;
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] getPosition() : " + e);
            e.printStackTrace();
            return position;
        }
    }

    private boolean setDongAdminKeyIssueCnt(String strID, String strIssueCnt) {
        try {
            LOG("[setDongAdminKeyIssueCnt] strID [" + strID + "], strIssueCnt [" + strIssueCnt + "]");
            if (strID.length() < 1 || 2 < strID.length()) return false;
            if (strIssueCnt.length() < 1 || 2 < strIssueCnt.length()) return false;

            if (!STDAccessKeyManager.updateDongAdminAccessKey(Integer.parseInt(strID), Integer.parseInt(strIssueCnt))) {
                LOG("[setDongAdminKeyIssueCnt] Fail from STDAccessKeyManager.updateDongAdminAccessKey(strID, nIssueCnt)");
                return false;
            }

            // 동일그룹내 로비폰과 업데이트 키정보 공유 및 동기화한다.
            if (!Global.sendSTDRFKeyInfo(AccessValues.dcard, Integer.parseInt(ConfigValue.strDevice_Dong), Integer.parseInt(strID), Integer.parseInt(strIssueCnt))) {
                LOG("[setDongAdminKeyIssueCnt] Fail from Global.sendSTDRFKeyInfo(nDong, strID, nIssueCnt)");
                return false;
            }

            return true;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] setDongAdminKeyIssueCnt(strID, strIssueCnt)");
            e.printStackTrace();
            return false;
        }
    }

    private boolean setAllDongAdminKeyIssueCnt(String strIssueCnt) {
        try {
            LOG("[setAllDongAdminKeyIssueCnt] strIssueCnt [" + strIssueCnt + "]");
            if (strIssueCnt.length() < 1 || 2 < strIssueCnt.length()) return false;

            if (!STDAccessKeyManager.updateAllDongAdminAccessKey(Integer.parseInt(strIssueCnt))) {
                LOG("[setAllDongAdminKeyIssueCnt] Fail from STDAccessKeyManager.updateAllDongAdminAccessKey(nIssueCnt)");
                return false;
            }
            return true;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] setAllDongAdminKeyIssueCnt(strIssueCnt)");
            e.printStackTrace();
            return false;
        }
    }

}